some tweaking on install-scripts except the compiling part. It will not show progress for much cleaner work.

This commit is contained in:
JaKooLit
2025-02-02 22:54:58 +09:00
parent dac6c373c9
commit 6abc879468
25 changed files with 244 additions and 249 deletions

View File

@@ -1,5 +1,8 @@
## Changelogs ## Changelogs
## 02 Feb 2025
- some tweaking on install-scripts except the compiling part. It will not show progress for much cleaner work.
## 29 Jan 2025 ## 29 Jan 2025
- enhanced nvidia.sh to add additional systemd-bootloader entries for nvidia - enhanced nvidia.sh to add additional systemd-bootloader entries for nvidia

View File

@@ -175,8 +175,7 @@ source ~/.zshrc
> DO NOT cd into install-scripts directory as script will most likely to fail > DO NOT cd into install-scripts directory as script will most likely to fail
#### 🛣️ Roadmap: #### 🛣️ Roadmap:
- ~~[ ] Install zsh and oh-my-zsh without necessary steps above~~ DONE - [ ] show a progress bar in downloading and compiling part
- [ ] possibly adding gruvbox themes, cursors, icons
#### ❗ some known issues for nvidia #### ❗ some known issues for nvidia
- reports from members of my discord, states that some users of nvidia are getting stuck on sddm login. credit to @Kenni Fix stated was - reports from members of my discord, states that some users of nvidia are getting stuck on sddm login. credit to @Kenni Fix stated was

View File

@@ -14,10 +14,10 @@ LOG="Install-Logs/install-$(date +%d-%H%M%S)_base.log"
# Installation of main components # Installation of main components
printf "\n%s - Installing base-devel \n" "${NOTE}" printf "\n%s - Installing ${BLUE}base-devel${RESET} \n" "${NOTE}"
for PKG1 in "${base[@]}"; do for PKG1 in "${base[@]}"; do
sudo pacman -S --noconfirm "$PKG1" | tee -a "$LOG" install_package_pacman "$PKG1" | tee -a "$LOG"
done done
clear printf "\n%.0s" {1..2}

View File

@@ -114,12 +114,10 @@ fi
printf "\n%s - Installing hyprland packages.... \n" "${NOTE}" printf "\n%s - Installing hyprland packages.... \n" "${NOTE}"
for PKG1 in "${hypr_package[@]}" "${hypr_package_2[@]}" "${Extra[@]}"; do for PKG1 in "${hypr_package[@]}" "${hypr_package_2[@]}" "${Extra[@]}"; do
install_package "$PKG1" 2>&1 | tee -a "$LOG" install_package "$PKG1" "$LOG"
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo -e "\e[1A\e[K${ERROR} - $PKG1 Package installation failed, Please check the installation logs"
exit 1 exit 1
fi fi
done done
clear printf "\n%.0s" {1..2}

View File

@@ -23,7 +23,7 @@ packages=(
# Local packages that should be in /usr/local/bin/ # Local packages that should be in /usr/local/bin/
local_pkgs_installed=( local_pkgs_installed=(
ags
) )
## WARNING: DO NOT EDIT BEYOND THIS LINE IF YOU DON'T KNOW WHAT YOU ARE DOING! ## ## WARNING: DO NOT EDIT BEYOND THIS LINE IF YOU DON'T KNOW WHAT YOU ARE DOING! ##
@@ -40,19 +40,19 @@ source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"
# Set the name of the log file to include the current date and time # Set the name of the log file to include the current date and time
LOG="Install-Logs/00_CHECK-$(date +%d-%H%M%S)_installed.log" LOG="Install-Logs/00_CHECK-$(date +%d-%H%M%S)_installed.log"
printf "\n%s - Final Check if Essential packages were installed \n" "${NOTE}" printf "\n%s - Final Check if all ${BLUE}Essential packages${RESET} were installed \n" "${NOTE}"
# Initialize an empty array to hold missing packages # Initialize an empty array to hold missing packages
missing=() missing=()
local_missing=() local_missing=()
# Function to check if a package is installed using pacman # Function to check if a packages are installed using pacman
is_installed_pacman() { is_installed_pacman() {
pacman -Qi "$1" &>/dev/null pacman -Qi "$1" &>/dev/null
} }
# Loop through each package # Loop through each package
for pkg in "${packages[@]}"; do for pkg in "${packages[@]}"; do
# Check if the package is installed via pacman # Check if the packages are installed
if ! is_installed_pacman "$pkg"; then if ! is_installed_pacman "$pkg"; then
missing+=("$pkg") missing+=("$pkg")
fi fi
@@ -67,25 +67,24 @@ done
# Log missing packages # Log missing packages
if [ ${#missing[@]} -eq 0 ] && [ ${#local_missing[@]} -eq 0 ]; then if [ ${#missing[@]} -eq 0 ] && [ ${#local_missing[@]} -eq 0 ]; then
echo "${OK} All essential packages are installed." | tee -a "$LOG" echo "${OK} GREAT! It seems All ${YELLOW}essential packages${RESET} are installed." | tee -a "$LOG"
else else
if [ ${#missing[@]} -ne 0 ]; then if [ ${#missing[@]} -ne 0 ]; then
echo "${WARN} The following packages are not installed and will be logged:" echo "${WARN} The following packages are not installed and will be logged:"
for pkg in "${missing[@]}"; do for pkg in "${missing[@]}"; do
echo "$pkg" echo "${WARNING}$pkg${RESET}"
echo "$pkg" >> "$LOG" # Log the missing package to the file echo "$pkg" >> "$LOG"
done done
fi fi
if [ ${#local_missing[@]} -ne 0 ]; then if [ ${#local_missing[@]} -ne 0 ]; then
echo "${WARN} The following local packages are missing from /usr/local/bin/ and will be logged:" echo "${WARN} The following local packages are missing from /usr/local/bin/ and will be logged:"
for pkg1 in "${local_missing[@]}"; do for pkg1 in "${local_missing[@]}"; do
echo "$pkg1 is not installed. Can't find it in /usr/local/bin/" echo "${WARNING}$pkg1${REST} is not installed. Can't find it in /usr/local/bin/"
echo "$pkg1" >> "$LOG" # Log the missing local package to the file echo "$pkg1" >> "$LOG"
done done
fi fi
# Add a timestamp when the missing packages were logged
echo "${NOTE} Missing packages logged at $(date)" >> "$LOG" echo "${NOTE} Missing packages logged at $(date)" >> "$LOG"
fi fi

View File

@@ -8,79 +8,87 @@ set -e
OK="$(tput setaf 2)[OK]$(tput sgr0)" OK="$(tput setaf 2)[OK]$(tput sgr0)"
ERROR="$(tput setaf 1)[ERROR]$(tput sgr0)" ERROR="$(tput setaf 1)[ERROR]$(tput sgr0)"
NOTE="$(tput setaf 3)[NOTE]$(tput sgr0)" NOTE="$(tput setaf 3)[NOTE]$(tput sgr0)"
WARN="$(tput setaf 5)[WARN]$(tput sgr0)" INFO="$(tput setaf 4)[INFO]$(tput sgr0)"
WARN="$(tput setaf 1)[WARN]$(tput sgr0)"
CAT="$(tput setaf 6)[ACTION]$(tput sgr0)" CAT="$(tput setaf 6)[ACTION]$(tput sgr0)"
ORANGE=$(tput setaf 166) MAGENTA="$(tput setaf 5)"
YELLOW=$(tput setaf 3) ORANGE="$(tput setaf 214)"
RESET=$(tput sgr0) WARNING="$(tput setaf 1)"
YELLOW="$(tput setaf 3)"
BLUE="$(tput setaf 4)"
RESET="$(tput sgr0)"
# Create Directory for Install Logs # Create Directory for Install Logs
if [ ! -d Install-Logs ]; then if [ ! -d Install-Logs ]; then
mkdir Install-Logs mkdir Install-Logs
fi fi
# Function for installing packages # Function that would show a progress bar to the user on one line
show_progress() {
local pid=$1
local package_name=$2
local dots=""
# Print initial message only once
echo -n "${NOTE} Installing ${YELLOW}$package_name${RESET} ..."
# Loop until the process is running
while ps -p $pid &> /dev/null; do
dots+="."
echo -ne "\r${NOTE} Installing ${YELLOW}$package_name${RESET} ...$dots" # Update the same line with dots
sleep 1
done
# After the process finishes, show "Done!" on the same line
echo -ne "\r${NOTE} Installing ${YELLOW}$package_name${RESET} ...$dots Done!" # Replace dots with Done!
}
# Function to install packages with pacman
install_package_pacman() { install_package_pacman() {
# Checking if package is already installed # Check if package is already installed
if pacman -Q "$1" &>/dev/null ; then if pacman -Q "$1" &>/dev/null ; then
echo -e "${OK} $1 is already installed. Skipping..." echo -e "${OK} ${MAGENTA}$1${RESET} is already installed. Skipping..."
else else
# Package not installed # Run pacman and redirect all output to a log file
echo -e "${NOTE} Installing $1 ..." (
sudo pacman -S --noconfirm --needed "$1" 2>&1 | tee -a "$LOG" stdbuf -oL sudo pacman -S --noconfirm --needed "$1" 2>&1
# Making sure package is installed ) >> "$LOG" 2>&1 &
PID=$!
show_progress $PID "$1" # Show progress bar while the process runs
# Double check if package is installed
if pacman -Q "$1" &>/dev/null ; then if pacman -Q "$1" &>/dev/null ; then
echo -e "\e[1A\e[K${OK} Package ${YELLOW}$1${RESET} has been successfully installed!" echo -e "\n${OK} Package ${YELLOW}$1${RESET} has been successfully installed!"
else else
# Something is missing, exiting to review log echo -e "\n${ERROR} ${YELLOW}$1${RESET} failed to install. Please check the $LOG. You may need to install manually."
echo -e "${ERROR} $1 failed to install. Please check the $LOG. You may need to install manually."
exit 1 exit 1
fi fi
fi fi
} }
ISAUR=$(command -v yay || command -v paru) ISAUR=$(command -v yay || command -v paru)
# Function for installing packages # Function to install packages with either yay or paru
install_package() { install_package() {
# Checking if package is already installed # Checking if package is already installed
if $ISAUR -Q "$1" &>> /dev/null ; then if $ISAUR -Q "$1" &>> /dev/null ; then
echo -e "${OK} $1 is already installed. Skipping..." echo -e "${OK} ${MAGENTA}$1${RESET} is already installed. Skipping..."
else else
# Package not installed # Run yay/paru and redirect all output to a log file
echo -e "${NOTE} Installing $1 ..." (
$ISAUR -S --noconfirm --needed "$1" 2>&1 | tee -a "$LOG" stdbuf -oL $ISAUR -S --noconfirm --needed "$1" 2>&1
# Making sure package is installed ) >> "$LOG" 2>&1 &
PID=$!
show_progress $PID "$1" # Show progress bar while the process runs
# Double check if package is installed
if $ISAUR -Q "$1" &>> /dev/null ; then if $ISAUR -Q "$1" &>> /dev/null ; then
echo -e "\e[1A\e[K${OK} Package ${YELLOW}$1${RESET} has been successfully installed!" echo -e "\n${OK} Package ${YELLOW}$1${RESET} has been successfully installed!"
else else
# Something is missing, exiting to review log # Something is missing, exiting to review log
echo -e "\e[1A\e[K${ERROR} $1 failed to install :( , please check the install.log. You may need to install manually! Sorry I have tried :(" echo -e "\n${ERROR} ${YELLOW}$1${RESET} failed to install :( , please check the install.log. You may need to install manually! Sorry I have tried :("
exit 1 exit 1
fi fi
fi fi
} }
# Function for uninstalling packages
uninstall_package() {
local pkg="$1"
# Checking if package is installed
if pacman -Qi "$pkg" &>> /dev/null ; then
# Package is installed
echo -e "${NOTE} Uninstalling $pkg ..."
sudo pacman -R --noconfirm "$pkg" 2>&1 | tee -a "$LOG" | grep -v "error: target not found"
# Check if the package was uninstalled
if ! pacman -Qi "$pkg" &>> /dev/null ; then
echo -e "\e[1A\e[K${OK} $pkg was uninstalled."
else
echo -e "\e[1A\e[K${ERROR} $pkg failed to uninstall. Please check the log."
return 1
fi
else
echo -e "${NOTE} $pkg is not installed, skipping uninstallation."
fi
return 0
}

View File

@@ -20,8 +20,8 @@ source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"
LOG="Install-Logs/install-$(date +%d-%H%M%S)_input.log" LOG="Install-Logs/install-$(date +%d-%H%M%S)_input.log"
while true; do while true; do
echo "${WARN} This script will add your user to the 'input' group." echo "${WARN} This script will add your ${YELLOW}user${RESET} to the ${MAGENTA}input${RESET} group."
echo "${NOTE} Please note that adding yourself to the 'input' group might be necessary for waybar keyboard-state functionality." echo "${NOTE} Please note that adding yourself to the ${MAGENTA}input${RESET} group might be necessary for waybar keyboard-state functionality."
printf "\n%.0s" {1..1} printf "\n%.0s" {1..1}
@@ -32,18 +32,17 @@ while true; do
if [[ $input_group_choid == "y" || $input_group_choid == "Y" ]]; then if [[ $input_group_choid == "y" || $input_group_choid == "Y" ]]; then
# Check if the 'input' group exists # Check if the 'input' group exists
if grep -q '^input:' /etc/group; then if grep -q '^input:' /etc/group; then
echo "${OK} 'input' group exists." echo "${OK} ${MAGENTA}input${RESET} group exists."
else else
echo "${NOTE} 'input' group doesn't exist. Creating 'input' group..." echo "${NOTE} ${MAGENTA}input${RESET} group doesn't exist. Creating ${MAGENTA}input${RESET} group..."
sudo groupadd input sudo groupadd input
# Log the creation of the 'input' group echo "${MAGENTA}input${RESET} group created" >> "$LOG"
echo "'input' group created" >> "$LOG"
fi fi
# Add the user to the input group # Add the user to the input group
sudo usermod -aG input "$(whoami)" sudo usermod -aG input "$(whoami)"
echo "${OK} User added to the 'input' group. Changes will take effect after you log out and log back in." echo "${OK} ${YELLOW}user${RESET} added to the ${MAGENTA}input${RESET} group. Changes will take effect after you log out and log back in."
# Log the addition of the user to the 'input' group # Log the addition of the user to the 'input' group
echo "User added to 'input' group" >> "$LOG" echo "User added to 'input' group" >> "$LOG"
@@ -56,4 +55,4 @@ while true; do
fi fi
done done
clear printf "\n%.0s" {1..2}

View File

@@ -1,6 +1,11 @@
#!/bin/bash #!/bin/bash
# 💫 https://github.com/JaKooLit 💫 # # 💫 https://github.com/JaKooLit 💫 #
# Aylur's GTK Shell v 1.8.2# # Aylur's GTK Shell v 1.9.0 #
# for desktop overview
if [[ $USE_PRESET = [Yy] ]]; then
source ./preset.sh
fi
ags=( ags=(
typescript typescript
@@ -10,7 +15,8 @@ ags=(
gjs gjs
gtk3 gtk3
gtk-layer-shell gtk-layer-shell
upower networkmanager upower
networkmanager
gobject-introspection gobject-introspection
libdbusmenu-gtk3 libdbusmenu-gtk3
libsoup3 libsoup3
@@ -40,7 +46,7 @@ printf "\n%s - Installing AGS Dependencies \n" "${NOTE}"
# Installing ags Dependencies # Installing ags Dependencies
for PKG1 in "${ags[@]}"; do for PKG1 in "${ags[@]}"; do
install_package "$PKG1" 2>&1 | tee -a "$LOG" install_package "$PKG1" "$LOG"
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo -e "\033[1A\033[K${ERROR} - $PKG1 Package installation failed, Please check the installation logs" echo -e "\033[1A\033[K${ERROR} - $PKG1 Package installation failed, Please check the installation logs"
exit 1 exit 1
@@ -48,8 +54,9 @@ for PKG1 in "${ags[@]}"; do
done done
printf "\n%.0s" {1..1} printf "\n%.0s" {1..1}
# ags
printf "${NOTE} Install and Compiling Aylurs GTK shell $ags_tag..\n" # ags v1
printf "${NOTE} Install and Compiling ${BLUE}Aylur's GTK shell $ags_tag${RESET}..\n"
# Check if folder exists and remove it # Check if folder exists and remove it
if [ -d "ags" ]; then if [ -d "ags" ]; then
@@ -57,24 +64,26 @@ if [ -d "ags" ]; then
rm -rf "ags" rm -rf "ags"
fi fi
# Clone nwg-look repository with the specified tag printf "\n%.0s" {1..1}
printf "${INFO} Kindly Standby...cloning and compiling ${BLUE}Aylur's GTK shell $ags_tag${RESET}...\n"
printf "\n%.0s" {1..1}
# Clone repository with the specified tag and capture git output into MLOG
if git clone --recursive -b "$ags_tag" --depth 1 https://github.com/Aylur/ags.git; then if git clone --recursive -b "$ags_tag" --depth 1 https://github.com/Aylur/ags.git; then
cd ags || exit 1 cd ags || exit 1
# Build and install ags
npm install npm install
meson setup build meson setup build
if sudo meson install -C build 2>&1 | tee -a "$MLOG"; then if sudo meson install -C build 2>&1 | tee -a "$MLOG"; then
printf "${OK} ags installed successfully.\n" 2>&1 | tee -a "$MLOG" printf "\n${OK} ${YELLOW}Aylur's GTK shell $ags_tag${RESET} installed successfully.\n" 2>&1 | tee -a "$MLOG"
else else
echo -e "${ERROR} Installation failed for ags" 2>&1 | tee -a "$MLOG" echo -e "\n${ERROR} ${YELLOW}Aylur's GTK shell $ags_tag${RESET} Installation failed\n " 2>&1 | tee -a "$MLOG"
fi fi
# Move logs to Install-Logs directory # Move logs to Install-Logs directory
mv "$MLOG" ../Install-Logs/ || true mv "$MLOG" ../Install-Logs/ || true
cd .. cd ..
else else
echo -e "${ERROR} Failed to download ags Please check your connection" 2>&1 | tee -a "$LOG" echo -e "\n${ERROR} Failed to download ${YELLOW}Aylur's GTK shell $ags_tag${RESET} Please check your connection\n" 2>&1 | tee -a "$LOG"
mv "$MLOG" ../Install-Logs/ || true mv "$MLOG" ../Install-Logs/ || true
exit 1 exit 1
fi fi
printf "\n%.0s" {1..2}

View File

@@ -22,13 +22,12 @@ source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"
LOG="Install-Logs/install-$(date +%d-%H%M%S)_bluetooth.log" LOG="Install-Logs/install-$(date +%d-%H%M%S)_bluetooth.log"
# Bluetooth # Bluetooth
printf "${NOTE} Installing Bluetooth Packages...\n" printf "${NOTE} Installing ${BLUE}Bluetooth${RESET} Packages...\n"
for BLUE in "${blue[@]}"; do for BLUE in "${blue[@]}"; do
install_package "$BLUE" 2>&1 | tee -a "$LOG" install_package "$BLUE" "$LOG"
[ $? -ne 0 ] && { echo -e "\e[1A\e[K${ERROR} - $BLUE Package installation failed, Please check the installation logs"; exit 1; }
done done
printf " Activating Bluetooth Services...\n" printf " Activating Bluetooth Services...\n"
sudo systemctl enable --now bluetooth.service 2>&1 | tee -a "$LOG" sudo systemctl enable --now bluetooth.service 2>&1 | tee -a "$LOG"
clear printf "\n%.0s" {1..2}

4
install-scripts/dotfiles-main.sh Normal file → Executable file
View File

@@ -7,7 +7,7 @@
source "$(dirname "$(readlink -f "$0")")/Global_functions.sh" source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"
# Check if Hyprland-Dots exists # Check if Hyprland-Dots exists
printf "${NOTE} Downloading KooL's Hyprland Dots....\n" printf "${NOTE} Downloading ${BLUE}KooL's Hyprland Dots${RESET}....\n"
if [ -d Hyprland-Dots ]; then if [ -d Hyprland-Dots ]; then
cd Hyprland-Dots cd Hyprland-Dots
@@ -26,4 +26,4 @@ else
fi fi
fi fi
clear printf "\n%.0s" {1..2}

View File

@@ -97,4 +97,4 @@ else
exit 1 exit 1
fi fi
clear printf "\n%.0s" {1..2}

View File

@@ -32,15 +32,13 @@ LOG="Install-Logs/install-$(date +%d-%H%M%S)_fonts.log"
# Installation of main components # Installation of main components
printf "\n%s - Installing necessary fonts.... \n" "${NOTE}" printf "\n%s - Installing necessary ${BLUE}fonts${RESET}.... \n" "${NOTE}"
for PKG1 in "${fonts[@]}"; do for PKG1 in "${fonts[@]}"; do
install_package "$PKG1" 2>&1 | tee -a "$LOG" install_package "$PKG1" "$LOG"
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo -e "\e[1A\e[K${ERROR} - $PKG1 Package installation failed, Please check the installation logs"
exit 1 exit 1
fi fi
done done
clear printf "\n%.0s" {1..2}

View File

@@ -24,9 +24,8 @@ LOG="Install-Logs/install-$(date +%d-%H%M%S)_themes.log"
# installing engine needed for gtk themes # installing engine needed for gtk themes
for PKG1 in "${engine[@]}"; do for PKG1 in "${engine[@]}"; do
install_package "$PKG1" 2>&1 | tee -a "$LOG" install_package "$PKG1" "$LOG"
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo -e "\033[1A\033[K${ERROR} - $PKG1 Package installation failed, Please check the installation logs"
exit 1 exit 1
fi fi
done done
@@ -48,4 +47,4 @@ else
echo "$ERROR Download failed for GTK themes and Icons.." 2>&1 | tee -a "$LOG" echo "$ERROR Download failed for GTK themes and Icons.." 2>&1 | tee -a "$LOG"
fi fi
clear printf "\n%.0s" {1..2}

View File

@@ -36,11 +36,10 @@ fi
# Hyprland # Hyprland
printf "${NOTE} Installing Hyprland .......\n" printf "${NOTE} Installing Hyprland .......\n"
for HYPR in "${hypr[@]}"; do for HYPR in "${hypr[@]}"; do
install_package "$HYPR" 2>&1 | tee -a "$LOG" install_package "$HYPR" "$LOG"
[ $? -ne 0 ] && { [ $? -ne 0 ] && {
echo -e "\e[1A\e[K${ERROR} - $HYPR Package installation failed, Please check the installation logs"
exit 1 exit 1
} }
done done
clear printf "\n%.0s" {1..2}

View File

@@ -38,10 +38,10 @@ if pacman -Qs hyprland > /dev/null; then
fi fi
# Install additional Nvidia packages # Install additional Nvidia packages
printf "${YELLOW} Installing Nvidia Packages and Linux headers...\n" printf "${YELLOW} Installing ${BLUE}Nvidia Packages and Linux headers${RESET}...\n"
for krnl in $(cat /usr/lib/modules/*/pkgbase); do for krnl in $(cat /usr/lib/modules/*/pkgbase); do
for NVIDIA in "${krnl}-headers" "${nvidia_pkg[@]}"; do for NVIDIA in "${krnl}-headers" "${nvidia_pkg[@]}"; do
install_package "$NVIDIA" 2>&1 | tee -a "$LOG" install_package "$NVIDIA" "$LOG"
done done
done done
@@ -118,6 +118,7 @@ if [ -f /boot/loader/loader.conf ]; then
fi fi
fi fi
printf "\n%.0s" {1..2}
# Blacklist nouveau # Blacklist nouveau
if [[ -z $blacklist_nouveau ]]; then if [[ -z $blacklist_nouveau ]]; then
@@ -144,4 +145,4 @@ else
printf "${NOTE} Skipping nouveau blacklisting..." 2>&1 | tee -a "$LOG" printf "${NOTE} Skipping nouveau blacklisting..." 2>&1 | tee -a "$LOG"
fi fi
clear printf "\n%.0s" {1..2}

View File

@@ -8,7 +8,7 @@ source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"
# Set the name of the log file to include the current date and time # Set the name of the log file to include the current date and time
LOG="Install-Logs/install-$(date +%d-%H%M%S)_pacman.log" LOG="Install-Logs/install-$(date +%d-%H%M%S)_pacman.log"
echo -e "${NOTE} Adding Extra Spice in pacman.conf ... ${RESET}" 2>&1 | tee -a "$LOG" echo -e "${NOTE} Adding ${MAGENTA}Extra Spice${RESET} in pacman.conf ... ${RESET}" 2>&1 | tee -a "$LOG"
pacman_conf="/etc/pacman.conf" pacman_conf="/etc/pacman.conf"
# Remove comments '#' from specific lines # Remove comments '#' from specific lines
@@ -32,14 +32,14 @@ done
# Add "ILoveCandy" below ParallelDownloads if it doesn't exist # Add "ILoveCandy" below ParallelDownloads if it doesn't exist
if grep -q "^ParallelDownloads" "$pacman_conf" && ! grep -q "^ILoveCandy" "$pacman_conf"; then if grep -q "^ParallelDownloads" "$pacman_conf" && ! grep -q "^ILoveCandy" "$pacman_conf"; then
sudo sed -i "/^ParallelDownloads/a ILoveCandy" "$pacman_conf" sudo sed -i "/^ParallelDownloads/a ILoveCandy" "$pacman_conf"
echo -e "${CAT} Added ILoveCandy below ParallelDownloads. ${RESET}" 2>&1 | tee -a "$LOG" echo -e "${CAT} Added ${MAGENTA}ILoveCandy${RESET} after ${MAGENTA}ParallelDownloads${RESET}. ${RESET}" 2>&1 | tee -a "$LOG"
else else
echo -e "${CAT} ILoveCandy already exists ${RESET}" 2>&1 | tee -a "$LOG" echo -e "${CAT} It seems ${YELLOW}ILoveCandy${RESET} already exists ${RESET} moving on.." 2>&1 | tee -a "$LOG"
fi fi
echo -e "${CAT} Pacman.conf spicing up completed ${RESET}" 2>&1 | tee -a "$LOG" echo -e "${CAT} ${MAGENTA}Pacman.conf${RESET} spicing up completed ${RESET}" 2>&1 | tee -a "$LOG"
# updating pacman.conf # updating pacman.conf
sudo pacman -Sy sudo pacman -Sy
clear printf "\n%.0s" {1..2}

View File

@@ -12,11 +12,15 @@ LOG="install-$(date +%d-%H%M%S)_paru.log"
OK="$(tput setaf 2)[OK]$(tput sgr0)" OK="$(tput setaf 2)[OK]$(tput sgr0)"
ERROR="$(tput setaf 1)[ERROR]$(tput sgr0)" ERROR="$(tput setaf 1)[ERROR]$(tput sgr0)"
NOTE="$(tput setaf 3)[NOTE]$(tput sgr0)" NOTE="$(tput setaf 3)[NOTE]$(tput sgr0)"
WARN="$(tput setaf 5)[WARN]$(tput sgr0)" INFO="$(tput setaf 4)[INFO]$(tput sgr0)"
WARN="$(tput setaf 1)[WARN]$(tput sgr0)"
CAT="$(tput setaf 6)[ACTION]$(tput sgr0)" CAT="$(tput setaf 6)[ACTION]$(tput sgr0)"
ORANGE=$(tput setaf 166) MAGENTA="$(tput setaf 5)"
YELLOW=$(tput setaf 3) ORANGE="$(tput setaf 214)"
RESET=$(tput sgr0) WARNING="$(tput setaf 1)"
YELLOW="$(tput setaf 3)"
BLUE="$(tput setaf 4)"
RESET="$(tput sgr0)"
# Create Directory for Install Logs # Create Directory for Install Logs
@@ -36,10 +40,10 @@ if [ -n "$ISAUR" ]; then
printf "\n%s - AUR helper already installed, moving on..\n" "${OK}" printf "\n%s - AUR helper already installed, moving on..\n" "${OK}"
else else
printf "\n%s - AUR helper was NOT located\n" "$WARN" printf "\n%s - AUR helper was NOT located\n" "$WARN"
printf "\n%s - Installing paru-bin from AUR\n" "${NOTE}" printf "\n%s - Installing ${YELLOW}paru-bin${RESET} from AUR\n" "${NOTE}"
git clone https://aur.archlinux.org/paru-bin.git || { printf "%s - Failed to clone paru-bin from AUR\n" "${ERROR}"; exit 1; } git clone https://aur.archlinux.org/paru-bin.git || { printf "%s - Failed to clone ${YELLOW}paru-bin${RESET} from AUR\n" "${ERROR}"; exit 1; }
cd paru-bin || { printf "%s - Failed to enter paru directory\n" "${ERROR}"; exit 1; } cd paru-bin || { printf "%s - Failed to enter paru directory\n" "${ERROR}"; exit 1; }
makepkg -si --noconfirm 2>&1 | tee -a "$LOG" || { printf "%s - Failed to install paru-bin from AUR\n" "${ERROR}"; exit 1; } makepkg -si --noconfirm 2>&1 | tee -a "$LOG" || { printf "%s - Failed to install ${YELLOW}paru-bin${RESET} from AUR\n" "${ERROR}"; exit 1; }
# moving install logs in to Install-Logs folder # moving install logs in to Install-Logs folder
mv install*.log ../Install-Logs/ || true mv install*.log ../Install-Logs/ || true
@@ -52,4 +56,4 @@ ISAUR=$(command -v yay || command -v paru)
$ISAUR -Syu --noconfirm 2>&1 | tee -a "$LOG" || { printf "%s - Failed to update system\n" "${ERROR}"; exit 1; } $ISAUR -Syu --noconfirm 2>&1 | tee -a "$LOG" || { printf "%s - Failed to update system\n" "${ERROR}"; exit 1; }
clear printf "\n%.0s" {1..2}

View File

@@ -25,21 +25,20 @@ source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"
# Set the name of the log file to include the current date and time # Set the name of the log file to include the current date and time
LOG="Install-Logs/install-$(date +%d-%H%M%S)_pipewire.log" LOG="Install-Logs/install-$(date +%d-%H%M%S)_pipewire.log"
ISAUR=$(command -v yay || command -v paru) # Disabling pulseaudio to avoid conflicts and logging output
echo -e "${NOTE} Disabling pulseaudio to avoid conflicts..."
# Disabling pulseaudio to avoid conflicts systemctl --user disable --now pulseaudio.socket pulseaudio.service 2>&1 | tee -a "$LOG"
systemctl --user disable --now pulseaudio.socket pulseaudio.service 2>/dev/null && tee -a "$LOG"
# Pipewire # Pipewire
printf "${NOTE} Installing Pipewire Packages...\n" echo -e "${NOTE} Installing Pipewire Packages..."
for PIPEWIRE in "${pipewire[@]}"; do for PIPEWIRE in "${pipewire[@]}"; do
install_package "$PIPEWIRE" 2>&1 | tee -a "$LOG" install_package "$PIPEWIRE" "$LOG"
[ $? -ne 0 ] && { echo -e "\e[1A\e[K${ERROR} - $PIPEWIRE Package installation failed, Please check the installation logs"; exit 1; } [ $? -ne 0 ] && { echo -e "\e[1A\e[K${ERROR} - $PIPEWIRE Package installation failed, Please check the installation logs"; exit 1; }
done done
printf "Activating Pipewire Services...\n" echo -e "${NOTE} Activating Pipewire Services..."
# Redirect systemctl output to log file
systemctl --user enable --now pipewire.socket pipewire-pulse.socket wireplumber.service 2>&1 | tee -a "$LOG" systemctl --user enable --now pipewire.socket pipewire-pulse.socket wireplumber.service 2>&1 | tee -a "$LOG"
systemctl --user enable --now pipewire.service 2>&1 | tee -a "$LOG" systemctl --user enable --now pipewire.service 2>&1 | tee -a "$LOG"
echo -e "\n${OK} Pipewire Installation and services setup complete!" 2>&1 | tee -a "$LOG"
clear

View File

@@ -2,6 +2,13 @@
# 💫 https://github.com/JaKooLit 💫 # # 💫 https://github.com/JaKooLit 💫 #
# Asus ROG Laptops # # Asus ROG Laptops #
rog=(
power-profiles-daemon
asusctl
supergfxctl
rog-control-center
)
## WARNING: DO NOT EDIT BEYOND THIS LINE IF YOU DON'T KNOW WHAT YOU ARE DOING! ## ## WARNING: DO NOT EDIT BEYOND THIS LINE IF YOU DON'T KNOW WHAT YOU ARE DOING! ##
# Determine the directory where the script is located # Determine the directory where the script is located
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
@@ -17,11 +24,10 @@ LOG="Install-Logs/install-$(date +%d-%H%M%S)_rog.log"
### Install software for Asus ROG laptops ### ### Install software for Asus ROG laptops ###
printf " Installing ASUS ROG packages...\n" printf " Installing ${BLUE}ASUS ROG packages${RESET}...\n"
for ASUS in power-profiles-daemon asusctl supergfxctl rog-control-center; do for ASUS in "${rog[@]}"; do
install_package "$ASUS" 2>&1 | tee -a "$LOG" install_package "$ASUS" "$LOG"
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo -e "\e[1A\e[K${ERROR} - $ASUS Package installation failed, Please check the installation logs"
exit 1 exit 1
fi fi
done done
@@ -32,5 +38,4 @@ sudo systemctl enable supergfxd 2>&1 | tee -a "$LOG"
printf " enabling power-profiles-daemon...\n" printf " enabling power-profiles-daemon...\n"
sudo systemctl enable power-profiles-daemon 2>&1 | tee -a "$LOG" sudo systemctl enable power-profiles-daemon 2>&1 | tee -a "$LOG"
clear printf "\n%.0s" {1..2}

View File

@@ -30,7 +30,7 @@ LOG="Install-Logs/install-$(date +%d-%H%M%S)_sddm.log"
# Install SDDM and SDDM theme # Install SDDM and SDDM theme
printf "${NOTE} Installing sddm and dependencies........\n" printf "${NOTE} Installing sddm and dependencies........\n"
for package in "${sddm[@]}"; do for package in "${sddm[@]}"; do
install_package "$package" 2>&1 | tee -a "$LOG" install_package "$package" "$LOG"
[ $? -ne 0 ] && { echo -e "\e[1A\e[K${ERROR} - $package Package installation failed, Please check the installation logs"; exit 1; } [ $? -ne 0 ] && { echo -e "\e[1A\e[K${ERROR} - $package Package installation failed, Please check the installation logs"; exit 1; }
done done
@@ -59,7 +59,7 @@ printf "\n%.0s" {1..2}
valid_input=false valid_input=false
while [ "$valid_input" != true ]; do while [ "$valid_input" != true ]; do
if [[ -z $install_sddm_theme ]]; then if [[ -z $install_sddm_theme ]]; then
read -n 1 -r -p "${CAT} OPTIONAL - Would you like to install SDDM themes? (y/n)" install_sddm_theme read -n 1 -r -p "${CAT} OPTIONAL - Would you like to install additional SDDM themes? (y/n)" install_sddm_theme
fi fi
if [[ $install_sddm_theme =~ ^[Yy]$ ]]; then if [[ $install_sddm_theme =~ ^[Yy]$ ]]; then
printf "\n%s - Installing Simple SDDM Theme\n" "${NOTE}" printf "\n%s - Installing Simple SDDM Theme\n" "${NOTE}"
@@ -101,4 +101,4 @@ while [ "$valid_input" != true ]; do
fi fi
done done
clear printf "\n%.0s" {1..2}

View File

@@ -30,19 +30,18 @@ source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"
LOG="Install-Logs/install-$(date +%d-%H%M%S)_thunar.log" LOG="Install-Logs/install-$(date +%d-%H%M%S)_thunar.log"
# Thunar # Thunar
printf "${NOTE} Installing Thunar Packages...\n" printf "${NOTE} Installing ${BLUE}Thunar${RESET} Packages...\n\n"
for THUNAR in "${thunar[@]}"; do for THUNAR in "${thunar[@]}"; do
install_package "$THUNAR" 2>&1 | tee -a "$LOG" install_package "$THUNAR" "$LOG"
[ $? -ne 0 ] && { echo -e "\e[1A\e[K${ERROR} - $THUNAR Package installation failed, Please check the installation logs"; exit 1; } [ $? -ne 0 ] && { echo -e "\e[1A\e[K${ERROR} - $THUNAR Package installation failed, Please check the installation logs"; exit 1; }
done done
printf "\n%.0s" {1..2} printf "\n%.0s" {1..2}
# Ask the user if they want to use Thunar as the default file manager # confirm if wanted to set as default
read -p "${CAT} Do you want to set Thunar as the default file manager? (y/n): " thunar_default read -p "${CAT} Do you want to set Thunar as the default file manager? (y/n): " thunar_default
if [[ "$thunar_default" == [Yy] ]]; then if [[ "$thunar_default" == [Yy] ]]; then
# Setting Thunar as the default file manager
xdg-mime default thunar.desktop inode/directory xdg-mime default thunar.desktop inode/directory
xdg-mime default thunar.desktop application/x-wayland-gnome-saved-search xdg-mime default thunar.desktop application/x-wayland-gnome-saved-search
echo "${OK} Thunar has been set as the default file manager." 2>&1 | tee -a "$LOG" echo "${OK} Thunar has been set as the default file manager." 2>&1 | tee -a "$LOG"
@@ -63,6 +62,4 @@ for DIR1 in gtk-3.0 Thunar xfce4; do
fi fi
done done
clear printf "\n%.0s" {1..2}

View File

@@ -1,6 +1,7 @@
#!/bin/bash #!/bin/bash
# 💫 https://github.com/JaKooLit 💫 # # 💫 https://github.com/JaKooLit 💫 #
# XDG-Desktop-Portals # # XDG-Desktop-Portals hyprland #
if [[ $USE_PRESET = [Yy] ]]; then if [[ $USE_PRESET = [Yy] ]]; then
source ./preset.sh source ./preset.sh
fi fi
@@ -27,48 +28,11 @@ LOG="Install-Logs/install-$(date +%d-%H%M%S)_xdph.log"
# XDG-DESKTOP-PORTAL-HYPRLAND # XDG-DESKTOP-PORTAL-HYPRLAND
for xdgs in "${xdg[@]}"; do for xdgs in "${xdg[@]}"; do
install_package "$xdgs" 2>&1 | tee -a "$LOG" install_package "$xdgs" "$LOG"
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo -e "\e[1A\e[K${ERROR} - $xdph Package installation failed, Please check the installation logs" echo -e "\e[1A\e[K${ERROR} - $xdph Package installation failed, Please check the installation logs"
exit 1 exit 1
fi fi
done done
printf "${NOTE} Checking for other XDG-Desktop-Portal-Implementations....\n"
sleep 1
printf "\n"
printf "${NOTE} XDG-desktop-portal-KDE & GNOME (if installed) should be manually disabled or removed! I can't remove it... sorry...\n"
while true; do
printf "\n%.0s" {1..2} printf "\n%.0s" {1..2}
if [[ -z $XDPH1 ]]; then
read -rp "${CAT} Would you like to try to remove other XDG-Desktop-Portal-Implementations? (y/n) " XDPH1
fi
echo
sleep 1
case $XDPH1 in
[Yy])
# Clean out other portals
printf "${NOTE} Clearing any other xdg-desktop-portal implementations...\n"
# Check if packages are installed and uninstall if present
if pacman -Qs xdg-desktop-portal-wlr > /dev/null ; then
echo "Removing xdg-desktop-portal-wlr..."
sudo pacman -R --noconfirm xdg-desktop-portal-wlr 2>&1 | tee -a "$LOG"
fi
if pacman -Qs xdg-desktop-portal-lxqt > /dev/null ; then
echo "Removing xdg-desktop-portal-lxqt..."
sudo pacman -R --noconfirm xdg-desktop-portal-lxqt 2>&1 | tee -a "$LOG"
fi
break
;;
[Nn])
echo "no other XDG-implementations will be removed." >> "$LOG"
break
;;
*)
echo "Invalid input. Please enter 'y' for yes or 'n' for no."
;;
esac
done
clear

View File

@@ -12,11 +12,15 @@ LOG="install-$(date +%d-%H%M%S)_yay.log"
OK="$(tput setaf 2)[OK]$(tput sgr0)" OK="$(tput setaf 2)[OK]$(tput sgr0)"
ERROR="$(tput setaf 1)[ERROR]$(tput sgr0)" ERROR="$(tput setaf 1)[ERROR]$(tput sgr0)"
NOTE="$(tput setaf 3)[NOTE]$(tput sgr0)" NOTE="$(tput setaf 3)[NOTE]$(tput sgr0)"
WARN="$(tput setaf 5)[WARN]$(tput sgr0)" INFO="$(tput setaf 4)[INFO]$(tput sgr0)"
WARN="$(tput setaf 1)[WARN]$(tput sgr0)"
CAT="$(tput setaf 6)[ACTION]$(tput sgr0)" CAT="$(tput setaf 6)[ACTION]$(tput sgr0)"
ORANGE=$(tput setaf 166) MAGENTA="$(tput setaf 5)"
YELLOW=$(tput setaf 3) ORANGE="$(tput setaf 214)"
RESET=$(tput sgr0) WARNING="$(tput setaf 1)"
YELLOW="$(tput setaf 3)"
BLUE="$(tput setaf 4)"
RESET="$(tput sgr0)"
# Create Directory for Install Logs # Create Directory for Install Logs
if [ ! -d Install-Logs ]; then if [ ! -d Install-Logs ]; then
@@ -34,10 +38,10 @@ if [ -n "$ISAUR" ]; then
printf "\n%s - AUR helper already installed, moving on.\n" "${OK}" printf "\n%s - AUR helper already installed, moving on.\n" "${OK}"
else else
printf "\n%s - AUR helper was NOT located\n" "$WARN" printf "\n%s - AUR helper was NOT located\n" "$WARN"
printf "\n%s - Installing yay from AUR\n" "${NOTE}" printf "\n%s - Installing ${YELLOW}yay${RESET} from AUR\n" "${NOTE}"
git clone https://aur.archlinux.org/yay.git || { printf "%s - Failed to clone yay from AUR\n" "${ERROR}"; exit 1; } git clone https://aur.archlinux.org/yay.git || { printf "%s - Failed to clone ${YELLOW}yay${RESET} from AUR\n" "${ERROR}"; exit 1; }
cd yay || { printf "%s - Failed to enter yay directory\n" "${ERROR}"; exit 1; } cd yay || { printf "%s - Failed to enter yay directory\n" "${ERROR}"; exit 1; }
makepkg -si --noconfirm 2>&1 | tee -a "$LOG" || { printf "%s - Failed to install yay from AUR\n" "${ERROR}"; exit 1; } makepkg -si --noconfirm 2>&1 | tee -a "$LOG" || { printf "%s - Failed to install ${YELLOW}yay${RESET} from AUR\n" "${ERROR}"; exit 1; }
# moving install logs in to Install-Logs folder # moving install logs in to Install-Logs folder
mv install*.log ../Install-Logs/ || true mv install*.log ../Install-Logs/ || true
@@ -50,4 +54,4 @@ ISAUR=$(command -v yay || command -v paru)
$ISAUR -Syu --noconfirm 2>&1 | tee -a "$LOG" || { printf "%s - Failed to update system\n" "${ERROR}"; exit 1; } $ISAUR -Syu --noconfirm 2>&1 | tee -a "$LOG" || { printf "%s - Failed to update system\n" "${ERROR}"; exit 1; }
clear printf "\n%.0s" {1..2}

View File

@@ -1,6 +1,7 @@
#!/bin/bash #!/bin/bash
# 💫 https://github.com/JaKooLit 💫 # # 💫 https://github.com/JaKooLit 💫 #
# zsh and oh my zsh including pokemon-color-scripts# # zsh and oh my zsh including pokemon-color-scripts#
if [[ $USE_PRESET = [Yy] ]]; then if [[ $USE_PRESET = [Yy] ]]; then
source ./preset.sh source ./preset.sh
fi fi
@@ -12,7 +13,6 @@ zsh=(
fzf fzf
) )
## WARNING: DO NOT EDIT BEYOND THIS LINE IF YOU DON'T KNOW WHAT YOU ARE DOING! ## ## WARNING: DO NOT EDIT BEYOND THIS LINE IF YOU DON'T KNOW WHAT YOU ARE DOING! ##
# Determine the directory where the script is located # Determine the directory where the script is located
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
@@ -54,12 +54,15 @@ done
# Installing zsh packages # Installing zsh packages
printf "${NOTE} Installing core zsh packages...${RESET}\n" printf "${NOTE} Installing core zsh packages...${RESET}\n"
for ZSH in "${zsh[@]}"; do for ZSH in "${zsh[@]}"; do
install_package "$ZSH" 2>&1 | tee -a "$LOG" (
# Call the global install_package function and redirect its output to the log
install_package "$ZSH" "$LOG"
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo -e "\e[1A\e[K${ERROR} - $ZSH Package installation failed, Please check the installation logs" echo -e "\e[1A\e[K${ERROR} - $ZSH Package installation failed, Please check the installation logs"
fi fi
) &
done done
wait # Ensure all background processes finish before continuing
# Install Oh My Zsh, plugins, and set zsh as default shell # Install Oh My Zsh, plugins, and set zsh as default shell
if command -v zsh >/dev/null; then if command -v zsh >/dev/null; then
@@ -105,4 +108,4 @@ if command -v zsh >/dev/null; then
fi fi
clear printf "\n%.0s" {1..2}

View File

@@ -5,9 +5,10 @@
OK="$(tput setaf 2)[OK]$(tput sgr0)" OK="$(tput setaf 2)[OK]$(tput sgr0)"
ERROR="$(tput setaf 1)[ERROR]$(tput sgr0)" ERROR="$(tput setaf 1)[ERROR]$(tput sgr0)"
NOTE="$(tput setaf 3)[NOTE]$(tput sgr0)" NOTE="$(tput setaf 3)[NOTE]$(tput sgr0)"
WARN="$(tput setaf 5)[WARN]$(tput sgr0)" WARN="$(tput setaf 1)[WARN]$(tput sgr0)"
CAT="$(tput setaf 6)[ACTION]$(tput sgr0)" CAT="$(tput setaf 6)[ACTION]$(tput sgr0)"
ORANGE=$(tput setaf 166) MAGENTA=$(tput setaf 5)
WARNING=$(tput setaf 1)
YELLOW=$(tput setaf 3) YELLOW=$(tput setaf 3)
RESET=$(tput sgr0) RESET=$(tput sgr0)
@@ -182,6 +183,8 @@ ask_yes_no "-Do you want to configure Bluetooth?" bluetooth
printf "\n" printf "\n"
ask_yes_no "-Do you want to install Thunar file manager?" thunar ask_yes_no "-Do you want to install Thunar file manager?" thunar
printf "\n" printf "\n"
ask_yes_no "-Install AGS (aylur's gtk shell) v1 for Desktop Like Overview?" ags
printf "\n"
ask_yes_no "-Install & configure SDDM log-in Manager plus (OPTIONAL) SDDM Theme?" sddm ask_yes_no "-Install & configure SDDM log-in Manager plus (OPTIONAL) SDDM Theme?" sddm
printf "\n" printf "\n"
ask_yes_no "-Install XDG-DESKTOP-PORTAL-HYPRLAND? (For proper Screen Share ie OBS)" xdph ask_yes_no "-Install XDG-DESKTOP-PORTAL-HYPRLAND? (For proper Screen Share ie OBS)" xdph
@@ -220,9 +223,6 @@ execute_script "fonts.sh"
# Install hyprland # Install hyprland
execute_script "hyprland.sh" execute_script "hyprland.sh"
# Install AGS from source (older version)
execute_script "ags.sh"
if [ "$nvidia" == "Y" ]; then if [ "$nvidia" == "Y" ]; then
execute_script "nvidia.sh" execute_script "nvidia.sh"
fi fi
@@ -238,6 +238,9 @@ fi
if [ "$thunar" == "Y" ]; then if [ "$thunar" == "Y" ]; then
execute_script "thunar.sh" execute_script "thunar.sh"
fi fi
if [ "$ags" == "Y" ]; then
execute_script "ags.sh"
fi
if [ "$sddm" == "Y" ]; then if [ "$sddm" == "Y" ]; then
execute_script "sddm.sh" execute_script "sddm.sh"
@@ -276,11 +279,11 @@ printf "\n%.0s" {1..1}
# Check if hyprland or hyprland-git is installed # Check if hyprland or hyprland-git is installed
if pacman -Q hyprland &> /dev/null || pacman -Q hyprland-git &> /dev/null; then if pacman -Q hyprland &> /dev/null || pacman -Q hyprland-git &> /dev/null; then
printf "\n${OK} Hyprland is installed. However, some essential packages may not be installed Please see above!" printf "\n${OK} Hyprland is installed. However, some essential packages may not be installed. Please see above!"
printf "\n${CAT} Ignore this message if it states 'All essential packages are installed.'\n" printf "\n${CAT} Ignore this message if it states ${YELLOW}All essential packages${RESET} are installed as per above\n"
sleep 2 sleep 2
printf "\n${NOTE} You can start Hyprland by typing 'Hyprland' (IF SDDM is not installed) (note the capital H!).\n" printf "\n${NOTE} You can start Hyprland by typing ${MAGENTA}Hyprland${RESET} (IF SDDM is not installed) (note the capital H!).\n"
printf "\n${NOTE} However, it is highly recommended to reboot your system.\n\n" printf "\n${NOTE} However, it is ${YELLOW}highly recommended to reboot${RESET} your system.\n\n"
# Prompt user to reboot # Prompt user to reboot
read -rp "${CAT} Would you like to reboot now? (y/n): " HYP read -rp "${CAT} Would you like to reboot now? (y/n): " HYP
@@ -291,10 +294,15 @@ if pacman -Q hyprland &> /dev/null || pacman -Q hyprland-git &> /dev/null; then
echo "${NOTE} NVIDIA GPU detected. Rebooting the system..." echo "${NOTE} NVIDIA GPU detected. Rebooting the system..."
fi fi
systemctl reboot systemctl reboot
else
echo -e "\n${CAT} Thanks for using ${MAGENTA}KooL's Hyprland Dots${RESET}. Enjoy and Have a good day!"
printf "\n%.0s" {1..1}
exit 0
fi fi
else else
# Print error message if neither package is installed # Print error message if neither package is installed
printf "\n${WARN} Hyprland failed to install. Please check 00_CHECK-time_installed.log and other files Install-Logs/ directory...\n\n" printf "\n${WARN} Hyprland failed to install. Please check 00_CHECK-time_installed.log and other files in the Install-Logs/ directory...\n\n"
exit 1 exit 1
fi fi